homework + project proposal_Jae Heon Lim

Option Explicit
‘Script modified by Jae Heon Lim
‘Script written by Mark Bearak
‘Script copyrighted by dtls.Architecture
‘Script version Tuesday, October 21, 2008 1:08:31 PM

Call Main()
Sub Main()
Dim arrPlane, i, j, strCrv(), strInnerCrv(), strSrf1, strSrf2, arrLftSrf1, arrLftSrf2, arrLftSrf3
For j = 0 To 5
For i = 0 To 10
ReDim Preserve strCrv(i)
ReDim Preserve strInnerCrv(i)
arrPlane = Rhino.PlaneFromPoints (array(0,j*40,i*(j+1)), array(1,j*40,i*(j+1)), array(0,j*40+1,i*(j+1)))
If i > j+1 Then
strCrv(i) = Rhino.AddCircle (arrPlane, 15.0)
strInnerCrv(i) = Rhino.AddCircle (arrPlane, 14.0)
If i = 0 Then
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(0,0,1))
End If
Else
strCrv(i) = Rhino.AddCircle (arrPlane, 5.0)
strInnerCrv(i) = Rhino.AddCircle (arrPlane, 4.0)
End If
If i=j+3 Then
strCrv(i)=Rhino.AddCircle(arrPlane, 14.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 13.0)
Call rhino.MoveObject (strCrv(i),array(0,0,0),array(6,0,0))
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(6,0,0))
End If
If i=j+2 Then
strCrv(i)=Rhino.AddCircle(arrPlane, 13.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 12.0)
Call rhino.MoveObject (strCrv(i),array(0,0,0),array(0,-5,0))
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(0,-5,0))
End If
If i=j+1 Then
strCrv(i)=Rhino.AddCircle(arrPlane, 10.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 9.0)
Call rhino.MoveObject (strCrv(i),array(0,0,0),array(4,0,0))
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(4,0,0))
End If
If i=j Then
strCrv(i)=Rhino.AddCircle(arrPlane, 16.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 15.0)
Call rhino.MoveObject (strCrv(i),array(0,0,0),array(0,-3,0))
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(0,-3,0))
End If
If i=j-1 Then
strCrv(i)=Rhino.AddCircle(arrPlane, 10.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 9.0)
Call rhino.MoveObject (strCrv(i),array(0,0,0),array(-4,0,0))
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(-4,0,0))
End If
If i=j-2 Then
strCrv(i)=Rhino.AddCircle(arrPlane, 14.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 13.0)
Call rhino.MoveObject (strCrv(i),array(0,0,0),array(0,5,0))
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(0,5,0))
End If
If i=j-3 Then
strCrv(i)=Rhino.AddCircle(arrPlane, 16.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 15.0)
Call rhino.MoveObject (strCrv(i),array(0,0,0),array(-6,0,0))
Call rhino.MoveObject (strInnerCrv(i),array(0,0,0),array(-6,0,0))
End If
If i = 0 Then
strCrv(i)=Rhino.AddCircle(arrPlane, 17.0)
strInnerCrv(i)=Rhino.AddCircle(arrPlane, 16.0)
strSrf1 = Rhino.AddPlanarSrf (strCrv)
strSrf2 = Rhino.AddPlanarSrf (strInnerCrv)
End If
If i = 10 Then
arrLftSrf1 = Rhino.AddLoftSrf (array(strCrv(i),strInnerCrv(i)))
End If
Next
arrLftSrf2 = Rhino.AddLoftSrf (strCrv,,,1)
arrLftSrf3 = Rhino.AddLoftSrf (strInnerCrv,,,1)
Call Rhino.JoinSurfaces (array(arrLftSrf1(0),arrLftSrf2(0),arrLftSrf3(0),strsrf1(0),strsrf2(0)),True)
Call Rhino.deleteobjects (strCrv)
Call Rhino.DeleteObjects (strInnerCrv)
Next

End Sub

For the project proposal, I would to make an attempt to represent mixtures of those two images above, which are Toyo Ito’s pavillion at Bruges, Belgium, and Zen space by Herzog de Meuron, by reinterpretating the spatial quality, and the parametric surface.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s